[
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Country_Orders' definition for report 'ShipmentsReport'. Contains 4 fields: ShippedDate, ShipRegion, ShipCity, Freight. Contains 1 parameters: Country. Query (sql): SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL",
    "raw_xml": "<dataset name=\"Country_Orders\" uuid=\"d526a5a0-b8a0-4bfc-b87a-b418801c0c49\">\n\t\t<parameter name=\"Country\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL</query>\n\t\t<field name=\"ShippedDate\" class=\"java.sql.Timestamp\" />\n\t\t<field name=\"ShipRegion\" class=\"java.lang.String\" />\n\t\t<field name=\"ShipCity\" class=\"java.lang.String\" />\n\t\t<field name=\"Freight\" class=\"java.lang.Float\" />\n\t</dataset>\n\t",
    "context": "Report 'ShipmentsReport' dataset 'Country_Orders'",
    "metadata": {
      "dataset_name": "Country_Orders",
      "field_names": [
        "ShippedDate",
        "ShipRegion",
        "ShipCity",
        "Freight"
      ],
      "parameter_names": [
        "Country"
      ],
      "query": "SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL",
      "query_language": "sql",
      "properties": {}
    }
  },
  {
    "chunk_id": 1,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'Country_Orders' definition for report 'ShipmentsReport'. Contains 4 fields: ShippedDate, ShipRegion, ShipCity, Freight. Contains 1 parameters: Country. Query (sql): SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL",
    "raw_xml": "<dataset name=\"Country_Orders\" uuid=\"d526a5a0-b8a0-4bfc-b87a-b418801c0c49\">\n\t\t<parameter name=\"Country\" class=\"java.lang.String\" />\n\t\t<query language=\"sql\">SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL</query>\n\t\t<field name=\"ShippedDate\" class=\"java.sql.Timestamp\" />\n\t\t<field name=\"ShipRegion\" class=\"java.lang.String\" />\n\t\t<field name=\"ShipCity\" class=\"java.lang.String\" />\n\t\t<field name=\"Freight\" class=\"java.lang.Float\" />\n\t</dataset>\n\t",
    "context": "Report 'ShipmentsReport' dataset 'Country_Orders'",
    "metadata": {
      "dataset_name": "Country_Orders",
      "field_names": [
        "ShippedDate",
        "ShipRegion",
        "ShipCity",
        "Freight"
      ],
      "parameter_names": [
        "Country"
      ],
      "query": "SELECT ShippedDate, ShipRegion, ShipCity, Freight\n\t\t\tFROM Orders\n\t\t\tWHERE\n\t\t\t\tShipCountry = $P{Country} AND\n\t\t\t\tShippedDate IS NOT NULL",
      "query_language": "sql",
      "properties": {}
    }
  }
]